/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtklist.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKLIST_H
#define GTOOLKIT_GTKLIST_H

#include <gtk/gtklist.h>
#include <GToolKit/GTKContainer.h>

@class GTKWidget;

@interface GTKList : GTKContainer
+ (GtkType) getType;
+ (id) list;
- (id) init;
- (void) insertItems:(NSArray *) items position:(gint) position;
- (void) appendItems:(NSArray *) items;
- (void) prependItems:(NSArray *) items;
- (void) removeItems:(NSArray *) items;
- (void) removeItemsNoUnref:(NSArray *) items;
- (void) clearItems:(gint) start end:(gint) end;
- (void) selectItem:(gint) item;
- (void) unselectItem:(gint) item;
- (void) selectChild:(GTKWidget *) child;
- (void) unselectChild:(GTKWidget *) child;
- (gint) childPosition:(GTKWidget *) child;
- (void) setSelectionMode:(GtkSelectionMode) mode;
- (void) extendSelection:(GtkScrollType) scroll_type position:(gfloat) position autoStartSelection:(gboolean) auto_start_selection;
- (void) startSelection;
- (void) endSelection;
- (void) selectAll;
- (void) unselectAll;
- (void) scrollHorizontal:(GtkScrollType) scroll_type position:(gfloat) position;
- (void) scrollVertical:(GtkScrollType) scroll_type position:(gfloat) position;
- (void) toggleAddMode;
- (void) toggleFocusRow;
- (void) toggleRow:(GTKWidget *) item;
- (void) undoSelection;
- (void) endDragSelection;
- (NSArray *) selection;
@end

#endif /* GTOOLKIT_GTKLIST_H */
