/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkmenuitem.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKMENUITEM_H
#define GTOOLKIT_GTKMENUITEM_H

#include <gtk/gtkmenuitem.h>
#include <GToolKit/GTKItem.h>

@class GTKWidget;

@interface GTKMenuItem : GTKItem
+ (GtkType) getType;
+ (id) menuItem;
- (id) init;
+ (id) menuItemWithLabel:(NSString *) label;
- (id) initWithLabel:(NSString *) label;
- (void) setSubmenu:(GTKWidget *) submenu;
- (void) removeSubmenu;
- (void) setPlacement:(GtkSubmenuPlacement) placement;
- (void) configure:(gint) show_toggle_indicator showSubmenuIndicator:(gint) show_submenu_indicator;
- (void) select;
- (void) deselect;
- (void) activate;
- (void) rightJustify;
- (GTKWidget *) submenu;
@end

#endif /* GTOOLKIT_GTKMENUITEM_H */
