/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkfontsel.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKFONTSELECTION_H
#define GTOOLKIT_GTKFONTSELECTION_H

#include <gtk/gtkfontsel.h>
#include <GToolKit/GTKNotebook.h>

@interface GTKFontSelection : GTKNotebook
+ (GtkType) getType;
+ (id) fontSelection;
- (id) init;
- (NSString *) getFontName;
- (GdkFont*) getFont;
- (gboolean) setFontName:(NSString *) fontname;
- (void) setFilter:(GtkFontFilterType) filter_type fontType:(GtkFontType) font_type foundries:(NSArray  *) foundries weights:(NSArray  *) weights slants:(NSArray  *) slants setwidths:(NSArray  *) setwidths spacings:(NSArray  *) spacings charsets:(NSArray  *) charsets;
- (NSString *) getPreviewText;
- (void) setPreviewText:(NSString *) text;
@end

#endif /* GTOOLKIT_GTKFONTSELECTION_H */
