/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkradiobutton.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKRADIOBUTTON_H
#define GTOOLKIT_GTKRADIOBUTTON_H

#include <gtk/gtkradiobutton.h>
#include <GToolKit/GTKCheckButton.h>

@interface GTKRadioButton : GTKCheckButton
+ (GtkType) getType;
+ (id) radioButtonWithGroup:(GSList *) group;
- (id) initWithGroup:(GSList *) group;
+ (id) radioButtonFromWidgetWithGroup:(GTKRadioButton *) group;
- (id) initFromWidgetWithGroup:(GTKRadioButton *) group;
+ (id) radioButtonWithLabel:(GSList *) group label:(NSString *) label;
- (id) initWithLabel:(GSList *) group label:(NSString *) label;
+ (id) radioButtonWithLabelFromWidget:(GTKRadioButton *) group label:(NSString *) label;
- (id) initWithLabelFromWidget:(GTKRadioButton *) group label:(NSString *) label;
- (GSList*) group;
- (void) setGroup:(GSList *) group;
@end

#endif /* GTOOLKIT_GTKRADIOBUTTON_H */
