/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkrange.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKRANGE_H
#define GTOOLKIT_GTKRANGE_H

#include <gtk/gtkrange.h>
#include <GToolKit/GTKWidget.h>

@class GTKAdjustment;

@interface GTKRange : GTKWidget
+ (GtkType) getType;
- (GTKAdjustment*) getAdjustment;
- (void) setUpdatePolicy:(GtkUpdateType) policy;
- (void) setAdjustment:(GTKAdjustment *) adjustment;
- (void) drawBackground;
- (void) clearBackground;
- (void) drawTrough;
- (void) drawSlider;
- (void) drawStepForw;
- (void) drawStepBack;
- (void) sliderUpdate;
- (gint) troughClick:(gint) x y:(gint) y jumpPerc:(gfloat *) jump_perc;
- (void) defaultHsliderUpdate;
- (void) defaultVsliderUpdate;
- (gint) defaultHtroughClick:(gint) x y:(gint) y jumpPerc:(gfloat *) jump_perc;
- (gint) defaultVtroughClick:(gint) x y:(gint) y jumpPerc:(gfloat *) jump_perc;
- (void) defaultHmotion:(gint) xdelta ydelta:(gint) ydelta;
- (void) defaultVmotion:(gint) xdelta ydelta:(gint) ydelta;
@end

#endif /* GTOOLKIT_GTKRANGE_H */
