/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkscrolledwindow.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKSCROLLEDWINDOW_H
#define GTOOLKIT_GTKSCROLLEDWINDOW_H

#include <gtk/gtkscrolledwindow.h>
#include <GToolKit/GTKBin.h>

@class GTKAdjustment;
@class GTKWidget;

@interface GTKScrolledWindow : GTKBin
+ (GtkType) getType;
+ (id) scrolledWindowWithHadjustment:(GTKAdjustment *) hadjustment vadjustment:(GTKAdjustment *) vadjustment;
- (id) initWithHadjustment:(GTKAdjustment *) hadjustment vadjustment:(GTKAdjustment *) vadjustment;
- (void) setHadjustment:(GTKAdjustment *) hadjustment;
- (void) setVadjustment:(GTKAdjustment *) hadjustment;
- (GTKAdjustment*) getHadjustment;
- (GTKAdjustment*) getVadjustment;
- (void) setPolicy:(GtkPolicyType) hscrollbar_policy vscrollbarPolicy:(GtkPolicyType) vscrollbar_policy;
- (void) setPlacement:(GtkCornerType) window_placement;
- (void) addWithViewport:(GTKWidget *) child;
@end

#endif /* GTOOLKIT_GTKSCROLLEDWINDOW_H */
