/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtktext.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKTEXT_H
#define GTOOLKIT_GTKTEXT_H

#include <gtk/gtktext.h>
#include <GToolKit/GTKEditable.h>

@class GTKAdjustment;

@interface GTKText : GTKEditable
+ (GtkType) getType;
+ (id) textWithHadj:(GTKAdjustment *) hadj vadj:(GTKAdjustment *) vadj;
- (id) initWithHadj:(GTKAdjustment *) hadj vadj:(GTKAdjustment *) vadj;
- (void) setEditable:(gboolean) editable;
- (void) setWordWrap:(gint) word_wrap;
- (void) setLineWrap:(gint) line_wrap;
- (void) setAdjustments:(GTKAdjustment *) hadj vadj:(GTKAdjustment *) vadj;
- (void) setPoint:(guint) index;
- (guint) getPoint;
- (guint) getLength;
- (void) freeze;
- (void) thaw;
- (void) insert:(GdkFont *) font fore:(GdkColor *) fore back:(GdkColor *) back chars:(NSString *) chars length:(gint) length;
- (gint) backwardDelete:(guint) nchars;
- (gint) forwardDelete:(guint) nchars;
@end

#endif /* GTOOLKIT_GTKTEXT_H */
